com.aventstack.extentreports

## Class ReportAggregates

- java.lang.Object
- - com.aventstack.extentreports.ReportAggregates

-     public class ReportAggregates
      extends Object

  Aggregator for report elements and collections

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportAggregates(List<Test> testList, List<String> testRunnerLogs, TestAttributeTestContextProvider<Category> categoryContext, TestAttributeTestContextProvider<Author> authorContext, TestAttributeTestContextProvider<Device> deviceContext, ExceptionTestContextImpl exceptionContext, SystemAttributeContext systemAttributeContext, ReportStatusStats reportStatusStats, List<Status> statusList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TestAttributeTestContextProvider<Author>` | `getAuthorContext()`
    `TestAttributeTestContextProvider<Category>` | `getCategoryContext()`
    `TestAttributeTestContextProvider<Device>` | `getDeviceContext()`
    `ExceptionTestContextImpl` | `getExceptionContext()`
    `ReportStatusStats` | `getReportStatusStats()`
    `Status` | `getStatus()`
    `List<Status>` | `getStatusList()`
    `SystemAttributeContext` | `getSystemAttributeContext()`
    `List<Test>` | `getTestList()`
    `List<String>` | `getTestRunnerLogs()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportAggregates

          public ReportAggregates(List<Test> testList,
                                  List<String> testRunnerLogs,
                                  TestAttributeTestContextProvider<Category> categoryContext,
                                  TestAttributeTestContextProvider<Author> authorContext,
                                  TestAttributeTestContextProvider<Device> deviceContext,
                                  ExceptionTestContextImpl exceptionContext,
                                  SystemAttributeContext systemAttributeContext,
                                  ReportStatusStats reportStatusStats,
                                  List<Status> statusList)

  - ### Method Detail

    - #### getTestList

          public List<Test> getTestList()

    - #### getTestRunnerLogs

          public List<String> getTestRunnerLogs()

    - #### getCategoryContext

          public TestAttributeTestContextProvider<Category> getCategoryContext()

    - #### getAuthorContext

          public TestAttributeTestContextProvider<Author> getAuthorContext()

    - #### getDeviceContext

          public TestAttributeTestContextProvider<Device> getDeviceContext()

    - #### getExceptionContext

          public ExceptionTestContextImpl getExceptionContext()

    - #### getSystemAttributeContext

          public SystemAttributeContext getSystemAttributeContext()

    - #### getReportStatusStats

          public ReportStatusStats getReportStatusStats()

    - #### getStatusList

          public List<Status> getStatusList()

    - #### getStatus

          public Status getStatus()

Copyright © 2018. All rights reserved.